<?php
// 启动会话
session_start();

// 获取用户 ID
$userId = $_SESSION['user_id'];

// 数据库配置文件
require_once '../Logic/config.php';

// 更新用户的在线状态为 'offline'
$updateOnlineStatus = DB->prepare("UPDATE user SET is_online = 'offline' WHERE id = ?");
$updateOnlineStatus->execute([$userId]);

// 清除所有会话变量
session_unset();

// 销毁会话
session_destroy();

// 重定向到登录页面
header("Location: ../Presentation/LoginPage.php");
exit;
?>
