<?php
session_start();
require_once '../Logic/config.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $sender_id = $_SESSION['user_id']; // 假设用户ID已经保存在会话中
    $receiver_id = $_POST['receiver_id'];
    $message = $_POST['message'];

    if (!empty($message) && !empty($receiver_id)) {
        $stmt = DB->prepare("INSERT INTO chat_message (sender_id, receiver_id, message) VALUES (?, ?, ?)");
        if ($stmt->execute([$sender_id, $receiver_id, $message])) {
            echo json_encode(['status' => 'success']);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Failed to send message.']);
        }
    }
}
?>

