<?php
session_start();
require_once '../Logic/config.php';

$receiver_id = 1; // 接收者ID，假设已经保存在会话中

// 获取与当前用户相关的消息，并联合用户表获取发送者名字
$stmt = DB->prepare("
    SELECT m.message_id, m.sender_id, m.receiver_id, m.message, m.timestamp, u.user_Name
    FROM chat_message m
    LEFT JOIN user u ON m.sender_id = u.id
    WHERE m.receiver_id = ? OR m.sender_id = ?
    ORDER BY m.timestamp DESC
");
$stmt->execute([$receiver_id, $receiver_id]);
$messages = $stmt->fetchAll(PDO::FETCH_ASSOC);

echo json_encode($messages);
?>

