function togglePasswordVisibility() {
    var passwordInput = document.getElementById('password');
    if (passwordInput.type === "password") {
        passwordInput.type = "text";
    } else {
        passwordInput.type = "password";
    }
}

function openModal() {
    var modal = document.getElementById("myModal");
    modal.style.display = "block";
}
function closeModal() {
    var modal = document.getElementById("myModal");
    modal.style.display = "none";
}

function openAvaModal(event) {
    // 阻止按钮默认行为
    if (event) event.preventDefault();

    var modal = document.getElementById("avatarModal");
    modal.style.display = "block";
}
function closeAvaModal() {
    var modal = document.getElementById("avatarModal");
    modal.style.display = "none";
}

document.getElementById("avatarForm").onsubmit = function(event) {
    event.preventDefault(); // 阻止表单默认提交行为

    var formData = new FormData(this);
    fetch('settings.php', {
        method: 'POST',
        body: formData
    })
        .then(response => response.json())
        .then(data => {
            console.log('Success:', data);
            // 这里可以更新页面上的头像等操作
            closeModal(); // 假设这是关闭模态框的函数
        })
        .catch((error) => {
            console.error('Error:', error);
        });
};

